Bug 29997 - Xrandr unable to change scale successfully when panning exchange from "2048x2048" to "1024x600"
Summary: Xrandr unable to change scale successfully when panning exchange from "2048x2...
Status: REOPENED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/intel (show other bugs)
Version: unspecified
Hardware: All Linux (All)
: medium normal
Assignee: Chris Wilson
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-03 07:59 UTC by wang,jinjin
Modified: 2015-06-16 08:08 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
xorg log (92.24 KB, text/plain)
2010-09-03 07:59 UTC, wang,jinjin
no flags Details
full info (800.00 KB, text/plain)
2013-01-17 18:43 UTC, Rodrigo Vivi
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description wang,jinjin 2010-09-03 07:59:25 UTC
Created attachment 38404 [details]
xorg log

System Environment:
--------------------------
Arch:       i386
Platform:   Pineview
Libdrm:         (master)2.4.21-18-g23287f05cf2443ddf9e028e29beb5bd30979c6cf
Mesa:           (master)76d0541e79d4fe2ffcb25b17f9dd540fafc14ba2
Xserver:                (master)xorg-server-1.9.0
Xf86_video_intel:               (master)2.12.0-76-gb7a8087fbc5cbd944f8345b8a098270c1f63ebab
Cairo:          (master)f5632d641c44a143386ca3b413e90ed3b1a85f89
Kernel: (for-linus)76be97c1fc945db08aae1f1b746012662d643e97

Bug detailed description:
-------------------------
With the newest commit (for-linus)76be97c1fc945db08aae1f1b746012662d643e97, I found that if we firstly change xrandr's panning from "1024x600" to "2048x2048",then "2048x2048" to "1024x600", the next change of scale will be fail if you move mouse for a little time.But that will not happen, if we change scale before exchanging panning as said above.

Reproduce steps:
----------------
1.xinit& 
2.gnome-session&
3.xrandr --output LVDS --panning 2048x2048
4.xrandr --output LVDS --panning 1024x600
5.xrandr --output LVDS --scale   0.5x1
6.moving mouse
Comment 1 wang,jinjin 2010-09-03 08:04:57 UTC
Reproduce steps:
----------------
1.xinit& 
2.gnome-session&
3.xrandr --output LVDS1 --panning 2048x2048
4.xrandr --output LVDS1 --panning 1024x600
5.xrandr --output LVDS1 --scale 0.5x1(scale can be any value)
6.moving mouse for a little time
Comment 2 wang,jinjin 2010-09-06 01:27:36 UTC
Append of bug detail:
Firstly, I changed xrandr's panning from "1024x600" to
"2048x2048",then "2048x2048" to "1024x600".Secondly, change xrandr's scale such as 0.5x1.Then, it will become the given scale.But it will return to previous scale if I move mouse as input for a little.
Comment 3 Chris Wilson 2010-09-06 07:27:50 UTC
I can confirm the bug, I think it might be page-flip related.
Comment 4 Chris Wilson 2010-09-06 07:29:46 UTC
Nope, happens with non-compositing WM, so not pageflips.
Comment 5 Chris Wilson 2011-01-25 11:59:48 UTC
Retested on current stack.
Comment 6 Gordon Jin 2012-10-23 05:51:42 UTC
Xun, can you help verifying?
Comment 7 fangxun 2012-10-29 06:35:17 UTC
I can reproduce it on pineview. 

OS: fedora 17
Libdrm: (master)libdrm-2.4.39-22-ge32fff8e9ea8d522679eaab21a9555cab134fb36
Mesa:  (master)459b28aba7c4ef0afe8d23dd2953e236d1bf7aed
Xserver: (master)xorg-server-1.13.0-93-g53830281b4da096f9c13107d73ec9c76ff1d14cc
Xf86_video_intel:  (master)2.20.12-15-g31eb704b2ad7c861ec4e61fb9de0e9592fc6d269
Comment 8 Rodrigo Vivi 2013-01-17 18:41:55 UTC
I could reproduce it here on my HSW with eDP!

it changes the scale but after use mouse it revert to regular mode without scaling right?
It seems something like restart the connector.

Latest message when scaling is still working is 
[  240.273959] [drm:intel_prepare_page_flip], preparing flip with no unpin work?

after that it comes the crtc setup...
Comment 9 Rodrigo Vivi 2013-01-17 18:43:28 UTC
Created attachment 73193 [details]
full info
Comment 10 Daniel Vetter 2013-11-18 17:43:38 UTC
Presuming fixed, please reopen if this still an issue on latest kernels.
Comment 11 Chris Wilson 2013-11-18 17:46:52 UTC
Last time I checked, this wasn't fixed. But it's an Xserver bug.
Comment 12 fangxun 2014-07-18 05:29:07 UTC
It still happens on latest graphics stack.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.